# --------------------------------
# Geyser Configuration File
#
# A bridge between Minecraft: Bedrock Edition and Minecraft: Java Edition.
#
# GitHub: https://github.com/GeyserMC/Geyser
# Discord: https://discord.geysermc.org/
# --------------------------------

#<星域互联> 已加入文件汉化,和部分理解内容,请对应设置

bedrock:
  # The IP address that will listen for connections.
  # 基岩版进服IP,保持0.0.0.0勿改
  address: 0.0.0.0
  # 基岩版进服端口,勿冲突
  port: 30349
  # Some hosting services change your Java port everytime you start the server and require the same port to be used for Bedrock.
  # This option makes the Bedrock port the same as the Java port every time you start the server.
  # This option is for the plugin version only.
  clone-remote-port: false
  # The MOTD that will be broadcasted to Minecraft: Bedrock Edition clients. This is irrelevant if "passthrough-motd" is set to true
  motd1: "StarMc"
  motd2: "Another GeyserMC forced host."
  # The Server Name that will be sent to Minecraft: Bedrock Edition clients. This is visible in both the pause menu and the settings menu.
  server-name: "StarMc BDS"
remote:
  # JAVA版本服务器地址,保持auto勿改,需要注意你的服务端版本是否支持基岩版本,建议加入Viaversion插件
  # If it is "auto", for standalone version the remote address will be set to 127.0.0.1,
  # for plugin versions, Geyser will attempt to find the best address to connect to.
  address: auto
  # JAVA服务端进服端口
  port: 25565
  # 需要对应你JAVA服务端验证方式,离线是offline 在线是online
  auth-type: offline

  
#这里不需要管他,只需要管上面
# Floodgate uses encryption to ensure use from authorised sources.
# This should point to the public key generated by Floodgate (Bungee or CraftBukkit)
# You can ignore this when not using Floodgate.
floodgate-key-file: public-key.pem

## the Xbox/MCPE username is the key for the Java server auth-info
## this allows automatic configuration/login to the remote Java server
## if you are brave/stupid enough to put your Mojang account info into
## a config file
#userAuths:
#  bluerkelp2: # MCPE/Xbox username
#    email: not_really_my_email_address_mr_minecrafter53267@gmail.com # Mojang account email address
#    password: "this isn't really my password"
#
#  herpderp40300499303040503030300500293858393589:
#    email: herpderp@derpherp.com
#    password: dooooo

#如果给定许多命令，则在第一次打开命令提示符时，Bedrock客户端可能会冻结。
#禁用此选项将阻止发送命令建议，并解决Bedrock客户端的冻结问题。
command-suggestions: false

#以下两个选项启用“ ping直通”-从Java服务器检索MOTD和/或玩家数。
#将MOTD从远程服务器中继到Bedrock播放器。
passthrough-motd: true
# Relay the protocol name (e.g. BungeeCord [X.X], Paper 1.X) - only really useful when using a custom protocol name!
# This will also show up on sites like MCSrvStatus. <mcsrvstat.us>
passthrough-protocol-name: true
#将玩家数和最大玩家从远程服务器显示到Bedrock服务器列表
passthrough-player-counts: true
#启用LEGACY ping passthrough。除非您的MOTD或玩家数显示不正确，否则无需启用此功能。
#此选项在独立上不起作用。
legacy-ping-passthrough: false
#Ping远程JAVA服务端的频率（以秒为单位）。仅与独立或旧式ping直通相关。
#如果遇到BrokenPipe错误，则往上增加
ping-passthrough-interval: 10

#最多可连接玩家数量
max-players: 100

#发送调试信息到控制台
debug-mode: false

#线程池大小
general-thread-pool: 32

#允许第三方披风可见。默认允许
#OptiFine披肩，披肩LabyMod，5Zig披肩和MinecraftCapes 
allow-third-party-capes: true

#允许显示第三方deadmau5耳朵。目前允许：
#MinecraftCapes 
allow-third-party-ears: true

#允许发送伪造的冷却时间指示器。基岩玩家看不到冷却时间，因为他们仍在使用1.8特性上战斗
show-cooldown: true

# The default locale if we dont have the one the client requested. Uncomment to not use the default system language.
# default-locale: en_us

#配置是否启用块缓存。这会为客户加载的每个区块保留一条单独的记录。虽然此功能确实允许一些事情，例如以创意模式显示区块中断动画等，但是强烈建议您在制作中禁用此功能因为它可以吃占用大量RAM的环境。然而，使用喷泉的插口版本时，对功能的支持或实现这允许自动没有额外的缓存为启用
#Geyser具有对服务器本身的直接访问。
cache-chunks: false

# Specify how many days images will be cached to disk to save downloading them from the internet.
# A value of 0 is disabled. (Default: 0)
cache-images: 0

#基岩可防止在Nether的Y127上方构建和显示块- 
#启用此配置选项可通过将Nether维度ID 
#更改为End ID来解决此问题。主要缺点这是天空会表现得像是的
#在幽冥结束天空，但最终它是此功能工作的唯一办法。
above-bedrock-nether-building: false


#下面不需要管,不需要动他们
# bStats is a stat tracker that is entirely anonymous and tracks only basic information
# about Geyser, such as how many people are online, how many servers are using Geyser,
# what OS is being used, etc. You can learn more about bStats here: https://bstats.org/.
# https://bstats.org/plugin/server-implementation/GeyserMC
metrics:
  # If metrics should be enabled
  enabled: true
  # UUID of server, don't change!
  uuid: 7d2efcb5-f93f-4691-b5c5-c65686f00110

# ADVANCED OPTIONS - DO NOT TOUCH UNLESS YOU KNOW WHAT YOU ARE DOING!

# Geyser updates the Scoreboard after every Scoreboard packet, but when Geyser tries to handle
# a lot of scoreboard packets per second can cause serious lag.
# This option allows you to specify after how many Scoreboard packets per seconds
# the Scoreboard updates will be limited to four updates per second.
scoreboard-packet-threshold: 20

# Allow connections from ProxyPass and Waterdog.
# See https://www.spigotmc.org/wiki/firewall-guide/ for assistance - use UDP instead of TCP.
enable-proxy-connections: false

# The internet supports a maximum MTU of 1492 but could cause issues with packet fragmentation.
# 1400 is the default.
# mtu: 1400

config-version: 4
